"""Generated by Django 5.0.6 on 2024-05-23 03:50."""

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    """Migrate db."""

    dependencies = [
        ("codex", "0027_sort_name"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="failedimport",
            name="sort_name",
        ),
        migrations.AddField(
            model_name="library",
            name="covers_only",
            field=models.BooleanField(db_index=True, default=False),
        ),
        migrations.AlterField(
            model_name="librarianstatus",
            name="status_type",
            field=models.CharField(
                choices=[
                    ("CCC", "Create Covers"),
                    ("CCD", "Purge Covers"),
                    ("CFO", "Find Orphan"),
                    ("IDM", "Dirs Moved"),
                    ("IFM", "Files Moved"),
                    ("ITR", "Aggregate Tags"),
                    ("ITQ", "Query Missing Fks"),
                    ("ITC", "Create Fks"),
                    ("IDU", "Dirs Modified"),
                    ("IFU", "Files Modified"),
                    ("IFC", "Files Created"),
                    ("IMQ", "Query M2M Fields"),
                    ("IMC", "Link M2M Fields"),
                    ("IDD", "Dirs Deleted"),
                    ("IFD", "Files Deleted"),
                    ("IFI", "Failed Imports"),
                    ("ICQ", "Query Missing Covers"),
                    ("ICM", "Covers Moved"),
                    ("ICU", "Covers Modified"),
                    ("ICC", "Covers Created"),
                    ("ICD", "Covers Deleted"),
                    ("ICL", "Covers Link"),
                    ("JTD", "Cleanup Fk"),
                    ("JCU", "Codex Update"),
                    ("JCR", "Codex Restart"),
                    ("JCS", "Codex Stop"),
                    ("JDO", "Db Optimize"),
                    ("JDB", "Db Backup"),
                    ("JSD", "Cleanup Sessions"),
                    ("JCD", "Cleanup Covers"),
                    ("SIX", "Search Index Clear"),
                    ("SIU", "Search Index Update"),
                    ("SID", "Search Index Remove"),
                    ("SIM", "Search Index Merge"),
                    ("WPO", "Poll"),
                ],
                db_index=True,
                max_length=3,
            ),
        ),
        migrations.CreateModel(
            name="CustomCover",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("path", models.CharField(db_index=True, max_length=4095)),
                ("stat", models.JSONField(null=True)),
                (
                    "group",
                    models.CharField(
                        choices=[
                            ("p", "P"),
                            ("i", "I"),
                            ("s", "S"),
                            ("a", "A"),
                            ("f", "F"),
                        ],
                        db_index=True,
                        max_length=1,
                    ),
                ),
                (
                    "sort_name",
                    models.CharField(db_index=True, default="", max_length=128),
                ),
                (
                    "library",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="codex.library"
                    ),
                ),
            ],
            options={
                "get_latest_by": "updated_at",
                "abstract": False,
                "unique_together": {("library", "path")},
            },
        ),
        migrations.AddField(
            model_name="folder",
            name="custom_cover",
            field=models.ForeignKey(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_DEFAULT,
                to="codex.customcover",
            ),
        ),
        migrations.AddField(
            model_name="imprint",
            name="custom_cover",
            field=models.ForeignKey(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_DEFAULT,
                to="codex.customcover",
            ),
        ),
        migrations.AddField(
            model_name="publisher",
            name="custom_cover",
            field=models.ForeignKey(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_DEFAULT,
                to="codex.customcover",
            ),
        ),
        migrations.AddField(
            model_name="series",
            name="custom_cover",
            field=models.ForeignKey(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_DEFAULT,
                to="codex.customcover",
            ),
        ),
        migrations.AddField(
            model_name="storyarc",
            name="custom_cover",
            field=models.ForeignKey(
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_DEFAULT,
                to="codex.customcover",
            ),
        ),
    ]
